# Update an incoming invoice Required scopes: incoming-invoice:write Updates the document fields of an incoming invoice. Bookings and payments are not touched by this endpoint – use the dedicated booking endpoints instead. Endpoint: PATCH /incoming-invoices/{id} Version: v1 Security: http, oauth2 ## Path parameters: - `id` (string, required) ## Request fields (application/json): - `title` (string) - `type` (string) Invoice or Credit Enum: "Invoice", "Credit" - `invoice_number` (string,null) External invoice number - `notes` (string,null) Free-text notes / annotations - `status` (string) open, ready_for_accounting or booked Enum: "open", "ready_for_accounting" - `payment_status` (string) open, paid or partial Enum: "open", "paid", "partial" - `date_of_invoice` (string,null) - `due_date` (string,null) - `date_of_start` (string,null) - `date_of_end` (string,null) - `net_value` (number,null) - `vat_value` (number,null) - `supplier_id` (string,null) - `editor_id` (string,null) - `payment_account_id` (string,null) Obfuscated payment account ID - `tags` (array,null) - `vats` (array,null) VAT breakdown lines - `vats.vat` (number, required) VAT rate in percent Example: 20 - `vats.value` (number, required) Calculated VAT amount for this rate ## Response 200 fields (application/json): - `id` (string, required) - `external_id` (string,null, required) - `external_origin` (string,null, required) - `type` (string, required) | | |---| | Invoice Standard incoming invoice | | Credit Credit note | Enum: "Invoice", "Credit" - `title` (string, required) - `status` (string, required) - `payment_status` (string, required) - `invoice_number` (string,null, required) - `notes` (string,null, required) - `sum_net` (number, required) - `sum_tax` (number, required) - `sum_gross` (number, required) - `vats` (array, required) VAT breakdown - `vats.vat` (number, required) VAT rate in percent - `vats.value` (number, required) Calculated VAT amount - `supplier` (any, required) - `payment_account` (any, required) - `date_of_invoice` (string,null, required) - `due_date` (string,null, required) - `date_of_start` (string,null, required) - `date_of_end` (string,null, required) - `editor` (any, required) - `bookings` (array) Chart of account bookings - `bookings.type` (string, required) - `bookings.value` (number, required) - `bookings.chart_of_account_id` (string,null, required) - `bookings.position_id` (string,null, required) - `bookings.project_id` (string,null, required) - `bookings.client_id` (string,null, required) - `bookings.chart_of_account` (any, required) - `bookings.outgoing_invoice` (any, required) - `bookings.created_at` (string, required) - `bookings.updated_at` (string,null, required) - `payments` (array) Payments - `payments.payment_type` (string,null, required) - `payments.payment_account_id` (string,null, required) - `payments.account` (any, required) - `payments.date` (string,null, required) ## Response 401 fields (application/json): - `message` (string, required) Error overview. ## Response 422 fields (application/json): - `message` (string, required) Errors overview. - `errors` (object, required) A detailed description of each field that failed validation.